# Generated by Django 4.2.23 on 2025-07-03 15:00

from django.db import migrations, models
import django.db.models.deletion
import pulpcore.app.util


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('core', '0131_distribution_checkpoint_publication_checkpoint'),
    ]

    operations = [
        migrations.CreateModel(
            name='HuggingFaceDistribution',
            fields=[
                ('distribution_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.distribution')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.distribution',),
        ),
        migrations.CreateModel(
            name='HuggingFacePublication',
            fields=[
                ('publication_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.publication')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.publication',),
        ),
        migrations.CreateModel(
            name='HuggingFaceRemote',
            fields=[
                ('remote_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.remote')),
                ('hf_hub_url', models.URLField(default='https://huggingface.co', help_text='Base URL for Hugging Face Hub')),
                ('hf_token', models.CharField(blank=True, help_text='Hugging Face authentication token for private repositories', max_length=255, null=True)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.remote',),
        ),
        migrations.CreateModel(
            name='HuggingFaceRepository',
            fields=[
                ('repository_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.repository')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.repository',),
        ),
        migrations.CreateModel(
            name='HuggingFaceContent',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.content')),
                ('repo_id', models.CharField(help_text="The Hugging Face repository ID (e.g., 'microsoft/DialoGPT-medium')", max_length=255)),
                ('repo_type', models.CharField(choices=[('models', 'Models'), ('datasets', 'Datasets'), ('spaces', 'Spaces')], default='models', help_text='The type of Hugging Face repository', max_length=20)),
                ('relative_path', models.TextField(help_text='The relative path within the repository')),
                ('revision', models.CharField(default='main', help_text='The git revision/branch/tag', max_length=255)),
                ('size', models.BigIntegerField(blank=True, help_text='File size in bytes', null=True)),
                ('etag', models.CharField(blank=True, help_text='ETag from Hugging Face', max_length=255, null=True)),
                ('last_modified', models.DateTimeField(blank=True, help_text='Last modified timestamp', null=True)),
                ('_pulp_domain', models.ForeignKey(default=pulpcore.app.util.get_domain_pk, on_delete=django.db.models.deletion.PROTECT, to='core.domain')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('repo_id', 'repo_type', 'relative_path', 'revision', '_pulp_domain')},
            },
            bases=('core.content',),
        ),
    ]